Go Back   DisplayLink Forum > DisplayLink Graphics Technology > Linux and Open Source

Reply
 
Thread Tools Search this Thread Display Modes
Old 11-09-2021, 12:35 PM   #1
fjmarcelo
Junior Member
 
Join Date: Nov 2021
Posts: 2
Default DisplayLink doesn't work on Linux 21.10

Hi all

I upgraded to Ubuntu 21.10

DisplayLinks works with Linux kernel 5.8.0-38, but not with 5.13.0-20.

If I try modprobe evdi, I get this answer
sudo modprobe evdi
modprobe: ERROR: could not insert 'evdi': Exec format error
Additional information

Linux 5.13.0-20-generic #20-Ubuntu SMP Fri Oct 15 14:21:35 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

I attached log file in zip format.

Does anyone tell me what happens?

Thanks in advance!!
Attached Files
File Type: zip DLSupportTool_Output_2021-11-09T12:18:03.309610.zip (912.7 KB, 0 views)
fjmarcelo is offline   Reply With Quote
Old 11-10-2021, 06:59 AM   #2
snipe122
Junior Member
 
Join Date: Feb 2019
Posts: 19
Default

Works fine for me on Ubuntu 21.10 and using the latest driver from the download page. Did you try complete removal and fresh installation?

Code:
lsmod | grep evdi
evdi                   61440  5
drm_kms_helper        262144  2 evdi,i915
syscopyarea            16384  2 drm_kms_helper,evdi
sysfillrect            16384  2 drm_kms_helper,evdi
sysimgblt              16384  2 drm_kms_helper,evdi
drm                   561152  20 drm_kms_helper,evdi,i915

Linux 5.13.0-20-generic #20-Ubuntu SMP Fri Oct 15 14:21:35 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux
snipe122 is offline   Reply With Quote
Old 11-10-2021, 11:59 AM   #3
fjmarcelo
Junior Member
 
Join Date: Nov 2021
Posts: 2
Default

I did

Code:
sudo displaylink-installer uninstall
and reinstalled again with

Code:
sudo ./displaylink-driver-5.4.1-55.174.run
but it fails again...

I don't know what to do...
================================================== ========
Quote:
Originally Posted by snipe122 View Post
Works fine for me on Ubuntu 21.10 and using the latest driver from the download page. Did you try complete removal and fresh installation?

Code:
lsmod | grep evdi
evdi                   61440  5
drm_kms_helper        262144  2 evdi,i915
syscopyarea            16384  2 drm_kms_helper,evdi
sysfillrect            16384  2 drm_kms_helper,evdi
sysimgblt              16384  2 drm_kms_helper,evdi
drm                   561152  20 drm_kms_helper,evdi,i915

Linux 5.13.0-20-generic #20-Ubuntu SMP Fri Oct 15 14:21:35 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux
fjmarcelo is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 06:26 AM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2021, vBulletin Solutions, Inc.